commit: 3e34941e0fb1110f3aabefd994630b7702c35f2e
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 26 15:59:42 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Aug 26 18:23:49 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e34941e
sci-libs/dcmtk: Put || die where || die belongs
Package-Manager: Portage-2.3.48, Repoman-2.3.10
sci-libs/dcmtk/dcmtk-3.6.0.ebuild | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/sci-libs/dcmtk/dcmtk-3.6.0.ebuild
b/sci-libs/dcmtk/dcmtk-3.6.0.ebuild
index 414724b2e23..1a94d20b506 100644
--- a/sci-libs/dcmtk/dcmtk-3.6.0.ebuild
+++ b/sci-libs/dcmtk/dcmtk-3.6.0.ebuild
@@ -55,7 +55,7 @@ src_prepare() {
# fix -D deprecation warnings
sed -i -e "s|_BSD_SOURCE|_DEFAULT_SOURCE|g" \
"${S}"/config/configure.in \
- "${S}"/CMakeLists.txt
+ "${S}"/CMakeLists.txt || die
}
src_configure() {
@@ -74,7 +74,7 @@ src_configure() {
cmake-utils_src_configure
if use doc; then
- cd "${S}"/doxygen
+ cd "${S}"/doxygen || die
econf
fi
}
@@ -83,16 +83,16 @@ src_compile() {
cmake-utils_src_compile
if use doc; then
- emake -C "${S}"/doxygen || die
+ emake -C "${S}"/doxygen
fi
}
src_install() {
cmake-utils_src_install
- doman doxygen/manpages/man1/* || die
+ doman doxygen/manpages/man1/*
if use doc; then
- dohtml -r "${S}"/doxygen/htmldocs/* || die
+ dohtml -r "${S}"/doxygen/htmldocs/*
fi
}